msgpack::adaptor::object< msgpack::type::ext_ref > Struct Template Reference

`#include <ext.hpp>`

## Public Member Functions

void | operator() (msgpack::object &o, const msgpack::type::ext_ref &v) const

## Member Function Documentation

## operator()()

void msgpack::adaptor::object< msgpack::type::ext_ref >::operator() | ( | msgpack::object< msgpack::type::ext_ref > & | o,
|  | const msgpack::type::ext_ref & | v
| ) |  | const

inline

References msgpack::type::EXT, msgpack::object::union_type::ext, msgpack::object_ext::ptr, msgpack::object_ext::size, msgpack::type::ext::size(), msgpack::type::ext_ref::size(), msgpack::object::type, and msgpack::object::via.

The documentation for this struct was generated from the following file:

- /build/msgpack-c-9A5dfz/msgpack-c-2.1.5/include/msgpack/v1/adaptor/ext.hpp